<?xml version="1.0" encoding="UTF-8"?>
<workbench progressCount="19" version="2.0">
<workbenchAdvisor/>
<window height="790" maximized="true" width="1292" x="130" y="77">
<fastViewData fastViewLocation="1024"/>
<perspectiveBar>
<itemSize x="160"/>
</perspectiveBar>
<coolbarLayout locked="0">
<coolItem id="group.file" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.file" itemType="typeToolBarContribution" x="121" y="22"/>
<coolItem id="additions" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.debug.ui.launchActionSet" itemType="typeToolBarContribution" x="124" y="22"/>
<coolItem id="org.eclipse.jdt.ui.JavaElementCreationActionSet" itemType="typeToolBarContribution" x="75" y="22"/>
<coolItem id="org.eclipse.search.searchActionSet" itemType="typeToolBarContribution" x="75" y="22"/>
<coolItem id="org.eclipse.ui.edit.text.actionSet.presentation" itemType="typeToolBarContribution" x="108" y="22"/>
<coolItem id="group.nav" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.navigate" itemType="typeToolBarContribution" x="183" y="22"/>
<coolItem id="group.editor" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.DefaultTextEditor" itemType="typePlaceholder" x="-1" y="-1"/>
<coolItem id="com.cloudgarden.jigloo.editors.FormEditor" itemType="typePlaceholder" x="-1" y="-1"/>
<coolItem id="org.eclipse.jdt.ui.ClassFileEditor" itemType="typeToolBarContribution" x="-1" y="-1"/>
<coolItem id="org.eclipse.jdt.ui.CompilationUnitEditor" itemType="typeToolBarContribution" x="-1" y="-1"/>
<coolItem id="group.help" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.help" itemType="typeToolBarContribution" x="-1" y="-1"/>
</coolbarLayout>
<page aggregateWorkingSetId="Aggregate for window 1340360927453" focus="true" label="Workspace - Java">
<editors>
<editorArea activeWorkbook="DefaultEditorWorkbook">
<info part="DefaultEditorWorkbook">
<folder appearance="1" expanded="2">
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
</presentation>
</folder>
</info>
</editorArea>
<editor activePart="true" focus="true" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="_RunMosaik_KRISI.java" partName="_RunMosaik_KRISI.java" path="D:/Dropbox/MMIS (Niklas,Krisi)/Mosaik/MosaikProject/src/mosaik/_RunMosaik_KRISI.java" title="_RunMosaik_KRISI.java" tooltip="MosaikProject/src/mosaik/_RunMosaik_KRISI.java" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/MosaikProject/src/mosaik/_RunMosaik_KRISI.java"/>
<editorState selectionHorizontalPixel="0" selectionLength="0" selectionOffset="672" selectionTopPixel="0"/>
</editor>
</editors>
<views>
<view id="org.eclipse.search.ui.views.SearchView" partName="Search">
<viewState isPinned="false">
<view IMemento.internal.id="org.eclipse.jdt.ui.JavaSearchResultPage" org.eclipse.jdt.search.resultpage.grouping="3" org.eclipse.jdt.search.resultpage.limit="1000" org.eclipse.jdt.search.resultpage.limit_enabled="TRUE" org.eclipse.jdt.search.resultpage.sorting="1" org.eclipse.search.lastActivation="1" org.eclipse.search.resultpage.layout="2"/>
<view IMemento.internal.id="" org.eclipse.search.lastActivation="0"/>
</viewState>
</view>
<view id="org.eclipse.debug.ui.DebugView" partName="Debug">
<viewState/>
</view>
<view id="org.eclipse.ui.views.ProblemView" partName="Problems">
<viewState PRIMARY_SORT_FIELD="org.eclipse.ui.ide.severityAndDescriptionField" categoryGroup="org.eclipse.ui.ide.severity" markerContentGenerator="org.eclipse.ui.ide.problemsGenerator" partName="Problems">
<columnWidths org.eclipse.ui.ide.locationField="0" org.eclipse.ui.ide.markerType="0" org.eclipse.ui.ide.pathField="0" org.eclipse.ui.ide.resourceField="0" org.eclipse.ui.ide.severityAndDescriptionField="0"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.severityAndDescriptionField"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.resourceField"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.pathField"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.locationField"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.markerType"/>
</viewState>
</view>
<view id="org.eclipse.jdt.ui.PackageExplorer" partName="Package Explorer">
<viewState group_libraries="1" layout="2" linkWithEditor="0" rootMode="1" workingSetName="Aggregate for window 1340360927453">
<customFilters userDefinedPatternsEnabled="false">
<xmlDefinedFilters>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.LibraryFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.LocalTypesFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.StaticsFilter" isEnabled="false"/>
<child filterId="org.eclipse.pde.ui.ExternalPluginLibrariesFilter1" isEnabled="true"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.ClosedProjectsFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.NonSharedProjectsFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.NonJavaElementFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.ContainedLibraryFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.CuAndClassFileFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.NonJavaProjectsFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.internal.ui.PackageExplorer.EmptyInnerPackageFilter" isEnabled="true"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.PackageDeclarationFilter" isEnabled="true"/>
<child filterId="org.eclipse.jdt.internal.ui.PackageExplorer.EmptyPackageFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.ImportDeclarationFilter" isEnabled="true"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.FieldsFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.internal.ui.PackageExplorer.HideInnerClassFilesFilter" isEnabled="true"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.NonPublicFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer_patternFilterId_.*" isEnabled="true"/>
<child filterId="sf.eclipse.javacc.filters.FilterGeneratedJavaCCFiles" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.EmptyLibraryContainerFilter" isEnabled="true"/>
<child filterId="org.eclipse.pde.ui.BinaryProjectFilter1" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.SyntheticMembersFilter" isEnabled="true"/>
</xmlDefinedFilters>
</customFilters>
</viewState>
</view>
<view id="org.eclipse.ui.console.ConsoleView" partName="Console">
<viewState/>
</view>
<view id="org.eclipse.debug.ui.BreakpointView" partName="Breakpoints">
<viewState/>
</view>
<view id="org.eclipse.debug.ui.VariableView" partName="Variables">
<viewState/>
</view>
<view id="org.eclipse.ui.views.TaskList" partName="Tasks"/>
<view id="org.eclipse.ui.views.ContentOutline" partName="Outline">
<viewState/>
</view>
<view id="org.eclipse.jdt.ui.SourceView" partName="Declaration"/>
<view id="org.eclipse.jdt.ui.JavadocView" partName="Javadoc"/>
</views>
<perspectives activePart="org.eclipse.ui.console.ConsoleView" activePerspective="org.eclipse.jdt.ui.JavaPerspective">
<perspective editorAreaTrimState="2" editorAreaVisible="1" fixed="0" version="0.016">
<descriptor class="org.eclipse.jdt.internal.ui.JavaPerspectiveFactory" id="org.eclipse.jdt.ui.JavaPerspective" label="Java"/>
<alwaysOnActionSet id="org.eclipse.ui.cheatsheets.actionSet"/>
<alwaysOnActionSet id="org.eclipse.search.searchActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.annotationNavigation"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.navigation"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.convertLineDelimitersTo"/>
<alwaysOnActionSet id="org.eclipse.ui.externaltools.ExternalToolsSet"/>
<alwaysOnActionSet id="org.eclipse.ui.actionSet.keyBindings"/>
<alwaysOnActionSet id="org.eclipse.ui.actionSet.openFiles"/>
<alwaysOnActionSet id="org.eclipse.debug.ui.launchActionSet"/>
<alwaysOnActionSet id="org.eclipse.jdt.ui.JavaActionSet"/>
<alwaysOnActionSet id="org.eclipse.jdt.ui.JavaElementCreationActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.NavigateActionSet"/>
<alwaysOnActionSet id="org.eclipse.debug.ui.breakpointActionSet"/>
<alwaysOnActionSet id="org.eclipse.jdt.debug.ui.JDTDebugActionSet"/>
<alwaysOnActionSet id="org.eclipse.jdt.junit.JUnitActionSet"/>
<show_view_action id="org.eclipse.jdt.ui.PackageExplorer"/>
<show_view_action id="org.eclipse.jdt.ui.TypeHierarchy"/>
<show_view_action id="org.eclipse.jdt.ui.SourceView"/>
<show_view_action id="org.eclipse.jdt.ui.JavadocView"/>
<show_view_action id="org.eclipse.search.ui.views.SearchView"/>
<show_view_action id="org.eclipse.ui.console.ConsoleView"/>
<show_view_action id="org.eclipse.ui.views.ContentOutline"/>
<show_view_action id="org.eclipse.ui.views.ProblemView"/>
<show_view_action id="org.eclipse.ui.views.ResourceNavigator"/>
<show_view_action id="org.eclipse.ui.views.TaskList"/>
<show_view_action id="org.eclipse.ui.views.ProgressView"/>
<show_view_action id="org.eclipse.ui.navigator.ProjectExplorer"/>
<show_view_action id="org.eclipse.ui.texteditor.TemplatesView"/>
<show_view_action id="org.eclipse.pde.runtime.LogView"/>
<show_view_action id="org.eclipse.ant.ui.views.AntView"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.JavaProjectWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewPackageCreationWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewClassCreationWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewInterfaceCreationWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewEnumCreationWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewAnnotationCreationWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewSourceFolderCreationWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewSnippetFileCreationWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewJavaWorkingSetWizard"/>
<new_wizard_action id="org.eclipse.ui.wizards.new.folder"/>
<new_wizard_action id="org.eclipse.ui.wizards.new.file"/>
<new_wizard_action id="org.eclipse.ui.editors.wizards.UntitledTextFileWizard"/>
<new_wizard_action id="org.eclipse.jdt.junit.wizards.NewTestCaseCreationWizard"/>
<perspective_action id="org.eclipse.jdt.ui.JavaBrowsingPerspective"/>
<perspective_action id="org.eclipse.debug.ui.DebugPerspective"/>
<perspective_action id="net.sourceforge.czt.eclipse.perspectives"/>
<hide_toolbar_item_id id="org.eclipse.jdt.ui.actions.OpenProjectWizard"/>
<hide_toolbar_item_id id="org.eclipse.ui.edit.text.toggleShowSelectedElementOnly"/>
<view id="org.eclipse.ui.views.ProblemView"/>
<view id="org.eclipse.jdt.ui.JavadocView"/>
<view id="org.eclipse.jdt.ui.SourceView"/>
<view id="org.eclipse.search.ui.views.SearchView"/>
<view id="org.eclipse.ui.console.ConsoleView"/>
<view id="org.eclipse.ui.views.ContentOutline"/>
<view id="org.eclipse.jdt.ui.PackageExplorer"/>
<fastViewBars/>
<layout>
<mainWindow>
<info folder="true" part="org.eclipse.ui.internal.ViewStack@716191">
<folder activePageID="org.eclipse.jdt.ui.PackageExplorer" appearance="2" expanded="2">
<page content="org.eclipse.jdt.ui.PackageExplorer" label="Package Explorer"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
</presentation>
</folder>
</info>
<info folder="true" part="org.eclipse.ui.internal.ViewStack@e05c24" ratio="0.7889126" ratioLeft="740" ratioRight="198" relationship="4" relative="org.eclipse.ui.internal.ViewStack@716191">
<folder activePageID="org.eclipse.ui.console.ConsoleView" appearance="2" expanded="2">
<page content="org.eclipse.ui.views.ProblemView" label="Problems"/>
<page content="org.eclipse.jdt.ui.JavadocView" label="Javadoc"/>
<page content="org.eclipse.jdt.ui.SourceView" label="Declaration"/>
<page content="org.eclipse.search.ui.views.SearchView" label="Search"/>
<page content="org.eclipse.ui.console.ConsoleView" label="Console"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
<part id="1"/>
<part id="2"/>
<part id="3"/>
<part id="4"/>
</presentation>
</folder>
</info>
<info folder="true" part="left" ratio="0.2427337" ratioLeft="309" ratioRight="964" relationship="2" relative="org.eclipse.ui.internal.ViewStack@716191">
<folder appearance="2" expanded="2">
<page content="org.eclipse.jdt.ui.TypeHierarchy" label="LabelNotFound"/>
<page content="org.eclipse.ui.views.ResourceNavigator" label="LabelNotFound"/>
<page content="org.eclipse.ui.navigator.ProjectExplorer" label="LabelNotFound"/>
<page content="org.eclipse.jdt.junit.ResultView" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory"/>
</folder>
</info>
<info folder="true" part="org.eclipse.ui.internal.ViewStack@1c9273e" ratio="0.75" ratioLeft="756" ratioRight="252" relationship="2" relative="left">
<folder appearance="2" expanded="2">
<page content="org.eclipse.help.ui.HelpView" label="LabelNotFound"/>
<page content="org.eclipse.ui.internal.introview" label="LabelNotFound"/>
<page content="org.eclipse.ui.cheatsheets.views.CheatSheetView" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory"/>
</folder>
</info>
<info part="org.eclipse.ui.editorss" ratio="0.24192278" ratioLeft="307" ratioRight="962" relationship="2" relative="left"/>
<info folder="true" part="bottom" ratio="0.5486322" ratioLeft="361" ratioRight="297" relationship="4" relative="org.eclipse.ui.editorss">
<folder appearance="2" expanded="2">
<page content="org.eclipse.ui.views.BookmarkView" label="LabelNotFound"/>
<page content="org.eclipse.ui.views.ProgressView" label="LabelNotFound"/>
<page content="com.cloudgarden.jigloo.views.FormView" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory"/>
</folder>
</info>
<info folder="true" part="right" ratio="0.8056426" ratioLeft="771" ratioRight="186" relationship="2" relative="org.eclipse.ui.editorss">
<folder activePageID="org.eclipse.ui.views.ContentOutline" appearance="2" expanded="2">
<page content="org.eclipse.ui.views.ContentOutline" label="Outline"/>
<page content="org.eclipse.ui.texteditor.TemplatesView" label="LabelNotFound"/>
<page content="org.eclipse.ant.ui.views.AntView" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
</presentation>
</folder>
</info>
</mainWindow>
</layout>
</perspective>
<perspective editorAreaTrimState="2" editorAreaVisible="1" fixed="0" version="0.016">
<descriptor class="org.eclipse.debug.internal.ui.DebugPerspectiveFactory" id="org.eclipse.debug.ui.DebugPerspective" label="Debug"/>
<alwaysOnActionSet id="org.eclipse.ui.cheatsheets.actionSet"/>
<alwaysOnActionSet id="org.eclipse.search.searchActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.annotationNavigation"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.navigation"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.convertLineDelimitersTo"/>
<alwaysOnActionSet id="org.eclipse.ui.externaltools.ExternalToolsSet"/>
<alwaysOnActionSet id="org.eclipse.ui.actionSet.keyBindings"/>
<alwaysOnActionSet id="org.eclipse.ui.actionSet.openFiles"/>
<alwaysOnActionSet id="org.eclipse.debug.ui.launchActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.NavigateActionSet"/>
<alwaysOnActionSet id="org.eclipse.debug.ui.breakpointActionSet"/>
<alwaysOnActionSet id="org.eclipse.jdt.debug.ui.JDTDebugActionSet"/>
<alwaysOnActionSet id="org.eclipse.jdt.ui.JavaActionSet"/>
<alwaysOnActionSet id="org.eclipse.debug.ui.debugActionSet"/>
<show_view_action id="org.eclipse.debug.ui.DebugView"/>
<show_view_action id="org.eclipse.debug.ui.VariableView"/>
<show_view_action id="org.eclipse.debug.ui.BreakpointView"/>
<show_view_action id="org.eclipse.debug.ui.ExpressionView"/>
<show_view_action id="org.eclipse.ui.views.ContentOutline"/>
<show_view_action id="org.eclipse.ui.console.ConsoleView"/>
<show_view_action id="org.eclipse.ui.views.TaskList"/>
<show_view_action id="org.eclipse.ant.ui.views.AntView"/>
<show_view_action id="org.eclipse.pde.runtime.LogView"/>
<show_view_action id="org.eclipse.jdt.debug.ui.DisplayView"/>
<perspective_action id="net.sourceforge.czt.eclipse.perspectives"/>
<perspective_action id="org.eclipse.jdt.ui.JavaPerspective"/>
<perspective_action id="org.eclipse.jdt.ui.JavaBrowsingPerspective"/>
<hide_toolbar_item_id id="org.eclipse.jdt.ui.actions.OpenProjectWizard"/>
<hide_toolbar_item_id id="org.eclipse.ui.edit.text.toggleShowSelectedElementOnly"/>
<view id="org.eclipse.ui.console.ConsoleView"/>
<view id="org.eclipse.ui.views.TaskList"/>
<view id="org.eclipse.debug.ui.DebugView"/>
<view id="org.eclipse.debug.ui.VariableView"/>
<view id="org.eclipse.debug.ui.BreakpointView"/>
<view id="org.eclipse.ui.views.ContentOutline"/>
<fastViewBars/>
<layout>&#x0A;<mainWindow>&#x0A;<info folder="true" part="org.eclipse.debug.internal.ui.NavigatorFolderView">&#x0A;<folder activePageID="org.eclipse.debug.ui.DebugView" appearance="2" expanded="2">&#x0A;<page content="org.eclipse.debug.ui.DebugView" label="Debug"/>
<page content="org.eclipse.ui.views.ResourceNavigator" label="LabelNotFound"/>
<page content="org.eclipse.jdt.ui.PackageExplorer" label="LabelNotFound"/>
<page content="org.eclipse.jdt.ui.TypeHierarchy" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">&#x0A;<part id="0"/>
</presentation>
</folder>
</info>
<info folder="true" part="stickyFolderRight" ratio="0.75" ratioLeft="954" ratioRight="318" relationship="2" relative="org.eclipse.debug.internal.ui.NavigatorFolderView">&#x0A;<folder appearance="2" expanded="2">&#x0A;<page content="org.eclipse.help.ui.HelpView" label="LabelNotFound"/>
<page content="org.eclipse.ui.internal.introview" label="LabelNotFound"/>
<page content="org.eclipse.ui.cheatsheets.views.CheatSheetView" label="LabelNotFound"/>
</folder>
</info>
<info folder="true" part="org.eclipse.debug.internal.ui.ConsoleFolderView" ratio="0.7393162" ratioLeft="692" ratioRight="244" relationship="4" relative="org.eclipse.debug.internal.ui.NavigatorFolderView">&#x0A;<folder activePageID="org.eclipse.ui.console.ConsoleView" appearance="2" expanded="2">&#x0A;<page content="org.eclipse.ui.console.ConsoleView" label="Console"/>
<page content="org.eclipse.ui.views.TaskList" label="Tasks"/>
<page content="org.eclipse.ui.views.BookmarkView" label="LabelNotFound"/>
<page content="org.eclipse.ui.views.PropertySheet" label="LabelNotFound"/>
<page content="org.eclipse.jdt.debug.ui.DisplayView" label="LabelNotFound"/>
<page content="org.eclipse.search.SearchResultView" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">&#x0A;<part id="0"/>
<part id="1"/>
</presentation>
</folder>
</info>
<info part="org.eclipse.ui.editorss" ratio="0.44848484" ratioLeft="222" ratioRight="273" relationship="4" relative="org.eclipse.debug.internal.ui.NavigatorFolderView"/>
<info folder="true" part="org.eclipse.debug.internal.ui.OutlineFolderView" ratio="0.75" ratioLeft="954" ratioRight="318" relationship="2" relative="org.eclipse.ui.editorss">&#x0A;<folder activePageID="org.eclipse.ui.views.ContentOutline" appearance="2" expanded="2">&#x0A;<page content="org.eclipse.ui.views.ContentOutline" label="Outline"/>
<page content="org.eclipse.ant.ui.views.AntView" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">&#x0A;<part id="0"/>
</presentation>
</folder>
</info>
<info folder="true" part="org.eclipse.debug.internal.ui.ToolsFolderView" ratio="0.5" ratioLeft="636" ratioRight="636" relationship="2" relative="org.eclipse.debug.internal.ui.NavigatorFolderView">&#x0A;<folder activePageID="org.eclipse.debug.ui.VariableView" appearance="2" expanded="2">&#x0A;<page content="org.eclipse.debug.ui.VariableView" label="Variables"/>
<page content="org.eclipse.debug.ui.BreakpointView" label="Breakpoints"/>
<page content="org.eclipse.debug.ui.ExpressionView" label="LabelNotFound"/>
<page content="org.eclipse.debug.ui.RegisterView" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">&#x0A;<part id="0"/>
<part id="1"/>
</presentation>
</folder>
</info>
</mainWindow>
</layout>
</perspective>
</perspectives>
<workingSets/>
<navigationHistory>
<editors>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/MosaikProject/src/mosaik/MosaikFunctions.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/MosaikProject/src/dataBase/PictureBufferElement.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/MosaikProject/src/dataBase/PictureBufferElementComparator.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/MosaikProject/src/dataBase/PictureBuffer.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/MosaikProject/src/dataBase/search/DataList.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/MosaikProject/src/dataBase/DataBase.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/MosaikProject/src/mosaik/_RunMosaik_KRISI.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/MosaikProject/src/dataBase/PictureBuffer.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/MosaikProject/src/gui/test/Configuration.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/MosaikProject/src/mosaik/_RunMosaik_.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/MosaikProject/src/mosaik/_MakeDataBase_.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/MosaikProject/src/dataBase/DataBase.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/MosaikProject/src/dataBase/search/SearchList.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/MosaikProject/src/mosaik/_RunMosaik_.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/MosaikProject/src/mosaik/_RunMosaik_KRISI.java"/>
</editors>
<item historyLabel="PictureBuffer.java" index="3">
<position/>
</item>
<item historyLabel="PictureBuffer.java" index="3">
<position info="not_deleted" x="937" y="0"/>
</item>
<item historyLabel="PictureBuffer.java" index="3">
<position info="not_deleted" x="1046" y="0"/>
</item>
<item historyLabel="PictureBuffer.java" index="3">
<position info="not_deleted" x="1107" y="0"/>
</item>
<item historyLabel="PictureBuffer.java" index="3">
<position info="not_deleted" x="1106" y="0"/>
</item>
<item historyLabel="PictureBuffer.java" index="3">
<position info="not_deleted" x="1014" y="0"/>
</item>
<item historyLabel="PictureBuffer.java" index="3">
<position info="not_deleted" x="1186" y="0"/>
</item>
<item historyLabel="PictureBufferElementComparator.java" index="2">
<position info="not_deleted" x="0" y="522"/>
</item>
<item historyLabel="PictureBuffer.java" index="3">
<position/>
</item>
<item historyLabel="DataList.java" index="4">
<position/>
</item>
<item historyLabel="PictureBuffer.java" index="3">
<position info="not_deleted" x="1416" y="0"/>
</item>
<item historyLabel="DataList.java" index="4">
<position/>
</item>
<item historyLabel="PictureBuffer.java" index="3">
<position info="not_deleted" x="1416" y="0"/>
</item>
<item historyLabel="MosaikFunctions.java" index="0">
<position info="not_deleted" x="6244" y="0"/>
</item>
<item historyLabel="PictureBuffer.java" index="3">
<position info="not_deleted" x="1416" y="0"/>
</item>
<item historyLabel="DataList.java" index="4">
<position info="not_deleted" x="0" y="0"/>
</item>
<item historyLabel="PictureBuffer.java" index="3">
<position info="not_deleted" x="1416" y="0"/>
</item>
<item historyLabel="DataBase.java" index="5">
<position info="not_deleted" x="1173" y="0"/>
</item>
<item historyLabel="PictureBuffer.java" index="3">
<position info="not_deleted" x="1416" y="0"/>
</item>
<item historyLabel="MosaikFunctions.java" index="0">
<position info="not_deleted" x="6344" y="91"/>
</item>
<item historyLabel="PictureBuffer.java" index="3">
<position info="not_deleted" x="1181" y="0"/>
</item>
<item historyLabel="PictureBufferElement.java" index="1">
<position info="not_deleted" x="293" y="0"/>
</item>
<item historyLabel="MosaikFunctions.java" index="0">
<position info="not_deleted" x="6405" y="0"/>
</item>
<item historyLabel="MosaikFunctions.java" index="0">
<position info="not_deleted" x="6402" y="0"/>
</item>
<item historyLabel="MosaikFunctions.java" index="0">
<position info="not_deleted" x="6686" y="0"/>
</item>
<item historyLabel="_RunMosaik_KRISI.java" index="6">
<position info="not_deleted" x="780" y="0"/>
</item>
<item historyLabel="MosaikFunctions.java" index="0">
<position info="not_deleted" x="6269" y="0"/>
</item>
<item historyLabel="PictureBuffer.java" index="3">
<position info="not_deleted" x="1181" y="0"/>
</item>
<item historyLabel="PictureBuffer.java" index="3">
<position info="not_deleted" x="1175" y="0"/>
</item>
<item historyLabel="PictureBufferElement.java" index="1">
<position info="not_deleted" x="222" y="0"/>
</item>
<item historyLabel="PictureBuffer.java" index="3">
<position info="not_deleted" x="819" y="0"/>
</item>
<item historyLabel="MosaikFunctions.java" index="0">
<position info="not_deleted" x="6269" y="0"/>
</item>
<item historyLabel="MosaikFunctions.java" index="0">
<position info="not_deleted" x="0" y="0"/>
</item>
<item historyLabel="PictureBuffer.java" index="7">
<position info="not_deleted" x="0" y="0"/>
</item>
<item historyLabel="PictureBuffer.java" index="7">
<position info="not_deleted" x="1503" y="0"/>
</item>
<item historyLabel="Configuration.java" index="8">
<position info="not_deleted" x="187" y="0"/>
</item>
<item historyLabel="MosaikFunctions.java" index="0">
<position info="not_deleted" x="781" y="0"/>
</item>
<item historyLabel="MosaikFunctions.java" index="0">
<position info="not_deleted" x="3541" y="0"/>
</item>
<item historyLabel="_RunMosaik_.java" index="9">
<position info="not_deleted" x="0" y="0"/>
</item>
<item historyLabel="_MakeDataBase_.java" index="10">
<position info="not_deleted" x="0" y="0"/>
</item>
<item historyLabel="MosaikFunctions.java" index="0">
<position info="not_deleted" x="3652" y="12"/>
</item>
<item historyLabel="_MakeDataBase_.java" index="10">
<position/>
</item>
<item historyLabel="MosaikFunctions.java" index="0">
<position info="not_deleted" x="3717" y="0"/>
</item>
<item historyLabel="DataBase.java" index="11">
<position info="not_deleted" x="857" y="10"/>
</item>
<item historyLabel="SearchList.java" index="12">
<position info="not_deleted" x="523" y="0"/>
</item>
<item historyLabel="MosaikFunctions.java" index="0">
<position info="not_deleted" x="5525" y="43"/>
</item>
<item historyLabel="DataBase.java" index="11">
<position info="not_deleted" x="3476" y="58"/>
</item>
<item historyLabel="MosaikFunctions.java" index="0">
<position info="not_deleted" x="4803" y="0"/>
</item>
<item historyLabel="_RunMosaik_.java" index="13">
<position info="not_deleted" x="0" y="0"/>
</item>
<item active="true" historyLabel="_RunMosaik_KRISI.java" index="14">
<position info="not_deleted" x="0" y="0"/>
</item>
</navigationHistory>
<input factoryID="org.eclipse.ui.internal.model.ResourceFactory" path="/" type="8"/>
</page>
<workbenchWindowAdvisor/>
<actionBarAdvisor/>
<trimLayout>
<trimArea IMemento.internal.id="128">
<trimItem IMemento.internal.id="org.eclipse.ui.internal.WorkbenchWindow.topBar"/>
</trimArea>
<trimArea IMemento.internal.id="1024">
<trimItem IMemento.internal.id="org.eclise.ui.internal.FastViewBar"/>
<trimItem IMemento.internal.id="org.eclipse.jface.action.StatusLineManager"/>
<trimItem IMemento.internal.id="org.eclipse.ui.internal.progress.ProgressRegion"/>
</trimArea>
</trimLayout>
</window>
<mruList>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.ui.systemExternalEditor" name="_8147232.JPG" tooltip="MosaikProject/testdaten/big/_8147232.JPG">
<persistable path="/MosaikProject/testdaten/big/_8147232.JPG"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.ui.systemExternalEditor" name="_8147230.JPG" tooltip="MosaikProject/testdaten/big/_8147230.JPG">
<persistable path="/MosaikProject/testdaten/big/_8147230.JPG"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="_RunMosaik_KRISI.java" tooltip="MosaikProject/src/mosaik/_RunMosaik_KRISI.java">
<persistable path="/MosaikProject/src/mosaik/_RunMosaik_KRISI.java"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.ui.systemExternalEditor" name="mosaikImage_200.jpg" tooltip="MosaikProject/mosaikImage_200.jpg">
<persistable path="/MosaikProject/mosaikImage_200.jpg"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.ui.systemExternalEditor" name="mosaikImage_300.jpg" tooltip="MosaikProject/mosaikImage_300.jpg">
<persistable path="/MosaikProject/mosaikImage_300.jpg"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.ui.systemExternalEditor" name="mosaikImage_nice.jpg" tooltip="MosaikProject/mosaikImage_nice.jpg">
<persistable path="/MosaikProject/mosaikImage_nice.jpg"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.ui.systemExternalEditor" name="mosaikImage_100_11k-hq.png" tooltip="MosaikProject/mosaikImage_100_11k-hq.png">
<persistable path="/MosaikProject/mosaikImage_100_11k-hq.png"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.ui.systemExternalEditor" name="mosaikImage_200_11k.png" tooltip="MosaikProject/mosaikImage_200_11k.png">
<persistable path="/MosaikProject/mosaikImage_200_11k.png"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.ui.systemExternalEditor" name="mosaikImage_3.jpg" tooltip="MosaikProject/mosaikImage_3.jpg">
<persistable path="/MosaikProject/mosaikImage_3.jpg"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.ui.systemExternalEditor" name="mosaikImage_2.jpg" tooltip="MosaikProject/mosaikImage_2.jpg">
<persistable path="/MosaikProject/mosaikImage_2.jpg"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="SearchList.java" tooltip="MosaikProject/src/dataBase/search/SearchList.java">
<persistable path="/MosaikProject/src/dataBase/search/SearchList.java"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.ui.systemExternalEditor" name="mosaikImage_Original.JPG" tooltip="MosaikProject/mosaikImage_Original.JPG">
<persistable path="/MosaikProject/mosaikImage_Original.JPG"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.ui.systemExternalEditor" name="mosaikImage_300+.jpg" tooltip="MosaikProject/mosaikImage_300+.jpg">
<persistable path="/MosaikProject/mosaikImage_300+.jpg"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.ui.systemExternalEditor" name="mosaikImage_50-zoom.jpg" tooltip="MosaikProject/mosaikImage_50-zoom.jpg">
<persistable path="/MosaikProject/mosaikImage_50-zoom.jpg"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="DataBase.java" tooltip="MosaikProject/src/dataBase/DataBase.java">
<persistable path="/MosaikProject/src/dataBase/DataBase.java"/>
</file>
</mruList>
</workbench>